libgck-1-dev_3.18.0-1ubuntu1_amd64.deb


Advertisement

Description

libgck-1-dev - GLib wrapper library for PKCS#11 - development

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libgck-1-dev_3.18.0-1ubuntu1_amd64.deb
Package name libgck-1-dev
Package version 3.18.0
Package release 1ubuntu1
Package architecture amd64
Package type deb
Category libdevel
Homepage https://wiki.gnome.org/Projects/GnomeKeyring
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 38.06 KB
Installed size 538.00 KB
GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
interface.
This package contains the static libraries, header files and
documentation needed to build applications using the GCK library.

Alternatives

Package Version Architecture Repository
libgck-1-dev_3.18.0-1ubuntu1_i386.deb 3.18.0 i386 Ubuntu Main
libgck-1-dev - - -

Requires

Name Value
gir1.2-gck-1 = 3.18.0-1ubuntu1
libgck-1-0 = 3.18.0-1ubuntu1
libglib2.0-dev -
libp11-kit-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgck-1-dev_3.18.0-1ubuntu1_amd64.deb
Source Package gcr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgck-1-dev deb package:
    # sudo apt-get install libgck-1-dev

Files

Path
/usr/include/gck-1/gck/gck-deprecated.h
/usr/include/gck-1/gck/gck-enum-types.h
/usr/include/gck-1/gck/gck-version.h
/usr/include/gck-1/gck/gck.h
/usr/include/gck-1/gck/pkcs11.h
/usr/include/gck-1/gck/pkcs11n.h
/usr/include/gck-1/gck/pkcs11x.h
/usr/lib/x86_64-linux-gnu/libgck-1.so
/usr/lib/x86_64-linux-gnu/pkgconfig/gck-1.pc
/usr/share/doc/libgck-1-dev/AUTHORS
/usr/share/doc/libgck-1-dev/NEWS.gz
/usr/share/doc/libgck-1-dev/README
/usr/share/doc/libgck-1-dev/changelog.Debian.gz
/usr/share/doc/libgck-1-dev/copyright
/usr/share/gir-1.0/Gck-1.gir
/usr/share/vala/vapi/gck-1.deps
/usr/share/vala/vapi/gck-1.vapi
/usr/share/vala/vapi/pkcs11.vapi

Changelog

2015-10-23 - Sebastien Bacher <seb128@ubuntu.com>
gcr (3.18.0-1ubuntu1) xenial; urgency=medium
* Resynchronize on Debian, remaining change
* d/p/0001-gcr-prompt-dialog-Allow-the-use-of-mnemonics-in-the-.patch:
Apply patch to allow mnemonics in prompt dialogs choice labels.
2015-10-08 - Michael Biebl <biebl@debian.org>
gcr (3.18.0-1) unstable; urgency=medium
* New upstream release.
* Bump Build-Depends on libgtk-3-dev to (>= 3.12.0) as per configure.ac.
* Switch Build-Depends from transitional libgcrypt11-dev to libgcrypt20-dev.
2015-05-24 - Michael Biebl <biebl@debian.org>
gcr (3.16.0-1) unstable; urgency=medium
* New upstream release.
* Drop debian/patches/bgo737622.patch, merged upstream.
* Drop obsolete Breaks and Replaces from pre-wheezy.
* Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
* Install typelib files into multiarch paths.
* Mark gir and dev packages as Multi-Arch: same and the doc packages as
Multi-Arch: foreign.
* Drop transitional package libgcr-3-1, which contained nothing but a few
compat symlinks. All reverse dependencies have been updated, so it's no
longer needed.
* Update Homepage: URL.
* Bump Standards-Version to 3.9.6.
* Bump Build-Depends on libgtk-3-dev to (>= 3.10.0) as per configure.ac.
* Update dependencies of the dev packages as specified in their .pc files.
* Fix debian/libgck-1-0.symbols, sort entries and remove duplicates.
2014-09-30 - Andreas Henriksson <andreas@fatal.se>
gcr (3.14.0-2) unstable; urgency=medium
* Add debian/patches/bgo737622.patch
- fix race in Makefile to avoid FTBFS.
2014-09-23 - Andreas Henriksson <andreas@fatal.se>
gcr (3.14.0-1) unstable; urgency=medium
* New upstream release.
* Update build-dependencies according to configure.ac changes:
+ Bump libglib2.0-dev to >= 2.38.0
+ Bump libgcrypt11-dev to >= 1.4.5
* Update debian/libgcr-base-3-1.symbols
2014-05-16 - Andreas Henriksson <andreas@fatal.se>
gcr (3.12.2-1) unstable; urgency=medium
* New upstream release.
2014-03-23 - Andreas Henriksson <andreas@fatal.se>
gcr (3.12.0-1) unstable; urgency=medium
[ Laurent Bigonville ]
* debian/control.in: Switch to libtasn1-6-dev and libtasn1-6-bin
(Closes: #715354)
[ Andreas Henriksson ]
* New upstream release.
* Add explicit xsltproc build-dependency (used by introspection generation)
* Drop debian/patches, both patches include in upstream release.
- debian/patches/Allow-valgrind-support-to-be-completely-disabled.patch
- debian/patches/Fix-compilation-if-valgrind-support-is-completely-.patch
* Fix {build-,}dependency: libtasn1-6-bin -> libtasn1-bin
* Add 2 new symbols to debian/libgck-1-0.symbols
* Add 7 new symbols to debian/libgcr-base-3-1.symbols
* Add 3 new symbols to debian/libgcr-ui-3-1.symbols
* Bump Standards-Version to 3.9.5
* libgck-1-dev: install usr/share/vala/vapi/pkcs11.vapi
2013-10-26 - Sjoerd Simons <sjoerd@debian.org>
gcr (3.10.1-1) experimental; urgency=low
* New upstream release
* d/p/0001-fix-build-error-with-Werror-format-security.patch
+ Dropped, fixed upstream
* Enable vala bindings
2013-06-30 - Laurent Bigonville <bigon@debian.org>
gcr (3.8.2-4) unstable; urgency=low
[ Jeremy Bicha ]
* Update homepage
[ Laurent Bigonville ]
* d/p/Allow-valgrind-support-to-be-completely-disabled.patch,
d/p/Fix-compilation-if-valgrind-support-is-completely-.patch,
debian/rules: Disable valgrind macros, this is seems to cause
miscompilations on some architectures (Closes: #678496)
* debian/rules, debian/control: Add call to dh-autoreconf
2013-06-18 - Laurent Bigonville <bigon@debian.org>
gcr (3.8.2-3) unstable; urgency=low
* debian/control.in
- Fix typo in gir1.2-gcr-3 long description (Closes: #699679)
- Use canonical URL for Vcs-Svn field
* debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS and include
buildflags.mk to avoid overriding hardening flags
* Bump debhelper and cdbs build-dependencies and convert the package to
multi-arch (Closes: #692743)

See Also

Package Description
libgck-1-doc_3.18.0-1ubuntu1_all.deb GLib wrapper library for PKCS#11 - documentation
libgconf-2-4_3.2.6-3ubuntu6_amd64.deb GNOME configuration database system (shared libraries)
libgconf2-dev_3.2.6-3ubuntu6_amd64.deb GNOME configuration database system (development)
libgconf2-doc_3.2.6-3ubuntu6_all.deb GNOME configuration database system (API reference)
libgcr-3-common_3.18.0-1ubuntu1_all.deb Library for Crypto UI related tasks - common files
libgcr-3-dev_3.18.0-1ubuntu1_amd64.deb Library for Crypto UI related tasks - development
libgcr-3-doc_3.18.0-1ubuntu1_all.deb Library for Crypto UI related tasks - documentation
libgcr-base-3-1_3.18.0-1ubuntu1_amd64.deb Library for Crypto related tasks
libgcr-ui-3-1_3.18.0-1ubuntu1_amd64.deb Library for Crypto UI related tasks
libgcrypt11-dev_1.5.4-3+really1.6.5-2_all.deb transitional libgcrypt11-dev package
libgcrypt20-dev_1.6.5-2_amd64.deb LGPL Crypto library - development files
libgcrypt20-doc_1.6.5-2_all.deb LGPL Crypto library - documentation
libgcrypt20_1.6.5-2_amd64.deb LGPL Crypto library - runtime library
libgd-dev_2.1.1-4build2_amd64.deb GD Graphics Library (development version)
libgd-graph-perl_1.48-2_all.deb Graph Plotting Module for Perl 5
Advertisement
Advertisement